Imports Microsoft.VisualBasic

Public Class TimeSeries

  Private _siteCode As String
  Private _siteName As String
  Private _latitude As String
  Private _longitude As String
  Private _variableCode As String
  Private _valueInfo As ArrayList

  Public Sub New()
    _siteCode = ""
    _siteName = ""
    _latitude = ""
    _longitude = ""
    _variableCode = ""
    _valueInfo = New ArrayList()
  End Sub
  Public Property siteCode() As String
    Get
      Return _siteCode
    End Get
    Set(ByVal value As String)
      _siteCode = value
    End Set
  End Property

  Public Property siteName() As String
    Get
      Return _siteName
    End Get
    Set(ByVal value As String)
      _siteName = value
    End Set
  End Property

  Public Property latitude() As String
    Get
      Return _latitude
    End Get
    Set(ByVal value As String)
      _latitude = value
    End Set
  End Property

  Public Property longitude() As String
    Get
      Return _longitude
    End Get
    Set(ByVal value As String)
      _longitude = value
    End Set
  End Property

  Public Property variableCode() As String
    Get
      Return _variableCode
    End Get
    Set(ByVal value As String)
      _variableCode = value
    End Set
  End Property

  Public Property valueInfo() As ArrayList
    Get
      Return _valueInfo
    End Get
    Set(ByVal value As ArrayList)
      _valueInfo = value
    End Set
  End Property

  Public Sub addValueInfo(ByVal strDate As String, ByVal strVal As String, ByVal FeatureID As Integer, ByVal TSTypeID As Integer)
    If _valueInfo Is Nothing Then
      _valueInfo = New ArrayList
    End If

    Dim newValueInfo As New ValueInfo
    With newValueInfo
      .dateTime = strDate
      .value = strVal
      .FeatureID = FeatureID
      .TSTypeID = TSTypeID
    End With
    _valueInfo.Add(newValueInfo)
  End Sub

End Class